Loading...
Searching...
No Matches
osmo_sockaddr Struct Reference
Socket convenience functions

`#include <socket.h>`

## Data Fields

union { |
struct sockaddr sa |
struct sockaddr_storage sas |
struct sockaddr_in sin |
struct sockaddr_in6 sin6 |
} | u

## Field Documentation

## sa

struct sockaddr osmo_sockaddr::sa

Referenced by iofd_poll_ofd_cb_recvmsg_sendmsg(), osmo_iofd_sendmsg_msgb(), osmo_iofd_sendto_msgb(), osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_del_addr(), and osmo_sockaddr_size().

## sas

struct sockaddr_storage osmo_sockaddr::sas

## sin

struct sockaddr_in osmo_sockaddr::sin

## sin6

struct sockaddr_in6 osmo_sockaddr::sin6

## [union]

union { ... } osmo_sockaddr::u

Referenced by iofd_poll_ofd_cb_recvmsg_sendmsg(), osmo_iofd_sendmsg_msgb(), osmo_iofd_sendto_msgb(), osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_del_addr(), and osmo_sockaddr_size().

The documentation for this struct was generated from the following file:

- include/osmocom/core/socket.h